xterm (403-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 13:52:03 +0100

xterm (403-1) unstable; urgency=medium

  * New upstream release.
    - Modify a special case which gives the expected width of Latin-1
      characters to account for the allowC1Printable resource
      (Closes: #1110771).
    - Adjust limits for built-in line-drawing characters
      (Closes: #1109472).
  * Modify debian/rules to set the 'disallowedWindowOps' resource to "*",
    and refresh patch 902_windowops.diff accordingly.
  * Drop the redundant Rules-Requires-Root field from debian/control.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 02 Nov 2025 17:21:57 +0100

xterm (402-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Sep 2025 18:38:26 +0200

xterm (402-1) unstable; urgency=medium

  * New upstream release.
    - Add a null-pointer check in ScrnWriteText (Closes: #1110769).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Sep 2025 19:07:08 +0200

xterm (401-1) experimental; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 05 Jul 2025 17:21:45 +0200

xterm (399-1) experimental; urgency=low

  * New upstream release.
    - Modify one of the missing-character checks to prefer Xft's check
      over the check for missing line-drawing characters
      (Closes: #1084794).
    - Revise a limit-check in selection to fix a regression in xterm 398
      (Closes: #1105738).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Jun 2025 18:01:25 +0200

xterm (398-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 May 2025 09:18:18 +0200

xterm (398-1) unstable; urgency=medium

  * New upstream release.
    - Improve modifyOtherKeys, by providing the UCS value for keys which
      have no single-byte representation (Closes: #1093056).
  * Update upstream signing key.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 15 Apr 2025 19:43:44 +0200

xterm (397-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 11:00:27 +0100

xterm (397-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:49:15 +0100

xterm (396-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:40:31 +0100

xterm (396-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Dec 2024 18:25:45 +0100

xterm (395-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:50:23 +0100

xterm (395-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Oct 2024 18:56:33 +0100

xterm (394-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 13:59:21 +0200

xterm (394-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.
    - Add null-pointer check for a Heisenbug (Closes: #1078255).
  * Refresh Debian patches.

  [ Kirill Rekhov]
  * Use https URL in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 12 Sep 2024 18:47:28 +0200

xterm (393-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2024 16:13:14 +0200

xterm (393-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 14 Jul 2024 17:42:19 +0200

xterm (392-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 May 2024 09:15:25 +0200

xterm (392-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 27 May 2024 18:03:18 +0200

xterm (391-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 May 2024 08:23:03 +0200

xterm (391-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 May 2024 17:23:44 +0200

xterm (390-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:32:54 +0000

xterm (390-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:04:20 +0000

xterm (390-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 08:55:52 +0100

xterm (390-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Feb 2024 18:26:20 +0100

xterm (389-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 08:37:05 +0100

xterm (389-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 03 Jan 2024 17:06:48 +0100

xterm (388-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:50:24 +0200

xterm (388-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 25 Oct 2023 18:10:45 +0200

xterm (387-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Oct 2023 18:48:43 +0200

xterm (386-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 13 Oct 2023 18:03:09 +0200

xterm (385-1) unstable; urgency=medium

  * New upstream release.
  * Use the new configure options --with-utmp-path=/var/run/utmp and
    --with-wtmp-path=/var/log/wtmp to ensure correct paths to these files
    in the manpage (Closes: #1042767).
  * Apply patch from xterm 385-a, fixing a typo in aclocal.m4 which
    leads to an incorrect path to the wtmp file in the manpage.
  * Apply patch from xterm 385-b: fix regression in sixel colors.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Oct 2023 17:20:35 +0200

xterm (384-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2023 09:45:15 +0200

xterm (384-1) unstable; urgency=medium

  * New upstream release.
    - Correct a step in rendering double-width characters with
      bitmap-fonts (report by Peter Fabinski, Closes: #1039986).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Jul 2023 18:00:23 +0200

xterm (383-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jul 2023 01:12:08 +0200

xterm (383-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch RCS-identifiers.diff, applied upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 30 Jun 2023 17:10:01 +0200

xterm (382-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2023 22:45:34 +0200

xterm (382-2) unstable; urgency=medium

  * Drop alternate build-dependency on bsdmainutils.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 19 Jun 2023 20:43:23 +0200

xterm (382-1) experimental; urgency=low

  * New upstream release.
  * Add temporary patch RCS-identifiers.diff, reverting some erroneous
    changes to RCS headers which ended up in the upstream tarball by
    mistake.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 01 Jun 2023 19:51:55 +0200

xterm (381-1) experimental; urgency=low

  * New upstream release.
  * Remove old upstream SHA1 signing key C52048C0C0748FEE from
    debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 May 2023 18:17:36 +0200

xterm (380-1) experimental; urgency=low

  * New upstream release.
    - Drop the -title option from uxterm and koi8rxterm, because that
      interferes with deriving the default title from the -e option
      (Closes: #1031837).  Compensate for this by using the -class option
      to derive a default title.
  * Configure with the --enable-pty-erase option to set the default value
    of the ptyInitialErase resource, rather than by patching XTerm.ad.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 11 May 2023 18:26:42 +0200

xterm (379-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Feb 2023 08:48:39 +0100

xterm (379-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 17 Feb 2023 18:01:17 +0100

xterm (378-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jan 2023 14:46:34 +0100

xterm (378-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).
  * Bump autoconf-dickey build dependency to (>= 2.52+20210509), as per
    configure.in.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 10 Jan 2023 19:43:51 +0100

xterm (377-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Dec 2022 09:38:40 +0100

xterm (377-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libxft-dev and libxrender-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Nov 2022 18:01:50 +0100

xterm (376-1) unstable; urgency=medium

  * New upstream release.
    - Add null-pointer checks in x_strcasecmp and x_strncasecmp, to
      help with error-recovery for a missing font (Closes: #1022942).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 18 Nov 2022 18:01:10 +0100

xterm (375-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 26 Oct 2022 18:15:57 +0200

xterm (374-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Oct 2022 19:33:04 +0200

xterm (373-2) unstable; urgency=medium

  * Cherry-pick a build fix from upstream snapshot 373a: modify
    CF_XOPEN_SOURCE to handle more special cases of Linux
    (report by Sven Joachim).
  * Cherry-pick another fix from upstream snapshot 373c: Fix
    regression in xterm-373 change adding resources xftTrackMemUsage to
    xftMaxGlyphMemory, which did not first cache the server's
    resource-settings (report/testcase by Gabor Hauzer, Closes: #1021243).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 08 Oct 2022 18:59:09 +0200

xterm (373-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.418 (dated 2022/05/22).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 02 Oct 2022 17:59:19 +0200

xterm (372-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Mar 2022 23:13:33 +0100

xterm (372-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 11 Mar 2022 18:10:00 +0100

xterm (371-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2022 13:34:28 +0100

xterm (371-1) unstable; urgency=medium

  * New upstream release.
    - Fix errata in manual page (Closes: #988221).
  * Drop patch from 370-2, applied upstream.
  * Prefer luit over x11-utils in Recommends (Closes: #904572).
  * Update copy of XTerm FAQ to revision 1.407 (dated 2021/12/20).
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 03 Mar 2022 18:27:23 +0100

xterm (370-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Feb 2022 10:21:32 +0100

xterm (370-2) unstable; urgency=medium

  * Cherry-pick sixel graphics fixes from xterm 370d and 370f.
    - Check for out-of-bounds condition while drawing sixels, and quit
      that operation (report by Nick Black (CVE-2022-24130),
      Closes: #1004689).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 01 Feb 2022 20:56:55 +0100

xterm (370-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Nov 2021 09:35:55 +0100

xterm (370-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.402 (dated 2021/09/05).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 17 Nov 2021 19:10:10 +0100

xterm (369-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 09:20:04 +0100

xterm (369-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 23 Sep 2021 19:06:49 +0200

xterm (368-2) unstable; urgency=medium

  * Add new upstream signing key 19882D92DDA4C400C22C0D56CC2AF4472167BE03
    to debian/upstream/signing-key.asc.
  * Update copy of XTerm FAQ to revision 1.398 (dated 2021/03/18).
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 23 Aug 2021 20:12:56 +0200

xterm (368-1) experimental; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 12 Jun 2021 19:47:37 +0200

xterm (367-1) experimental; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 28 Mar 2021 17:58:08 +0200

xterm (366-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"
  * Dropped changes:
    - debian/patches/CVE-2021-27135.patch: correct upper-limit for
      selection buffer, accounting for combining characters in button.c.
      [Included in 366-1]
    - debian/patches/CVE-2021-27135-2.patch: check realloc return code,
      add some casts in button.c.
      [Included in 366-1]

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 25 May 2021 11:04:02 +0530

xterm (366-1) unstable; urgency=medium

  * New upstream release
    - correct upper-limit for selection buffer, accounting for combining
      characters (report/testcase by Tavis Ormandy).  Closes: #982439

 -- Julien Cristau <jcristau@debian.org>  Thu, 11 Feb 2021 10:31:09 +0100

xterm (365-1) unstable; urgency=medium

  * New upstream release.
  * Bump autoconf-dickey build dependency to (>= 2.52+20210105), as per
    configure.in.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Feb 2021 19:32:25 +0100

xterm (363-1) unstable; urgency=medium

  * New upstream release.
    - Amend change from xterm 361 to event-handling in CopyWait to
      handle active-icon as a special case (Closes: #975687).
  * Refresh Debian patches.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Dec 2020 18:03:26 +0100

xterm (362-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.396 (dated 2020/08/11).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 15 Nov 2020 16:34:36 +0100

xterm (361-1ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: crash when handling crafted unicode content
    - debian/patches/CVE-2021-27135-2.patch: check realloc return code,
      add some casts in button.c.
    - CVE-2021-27135

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Feb 2021 12:59:13 -0500

xterm (361-1ubuntu2) hirsute; urgency=medium

  * SECURITY UPDATE: crash when handling crafted unicode content
    - debian/patches/CVE-2021-27135.patch: correct upper-limit for
      selection buffer, accounting for combining characters in button.c.
    - CVE-2021-27135

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Feb 2021 09:11:30 -0500

xterm (361-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Nov 2020 17:59:49 +0100

xterm (361-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Use dh_installalternatives to set up the x-terminal-emulator
    alternatives and remove the maintainer scripts from the source.
    - Build-depend on debhelper (>= 13.1~).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 17 Oct 2020 09:33:19 +0200

xterm (360-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from 359-1, applied upstream.
  * Bump autoconf-dickey build dependency to (>= 2.52+20200802), as per
    configure.in.
  * Drop alternate build-dependency on libncurses5-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 23 Sep 2020 18:12:41 +0200

xterm (359-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Cherry-pick a build fix from upstream snapshot 359a: amend xterm 359
    change to df-install.in to ignore a command-line assignment to
    DESTDIR if followed by an explicit --dir (report by Sven Joachim).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 21 Aug 2020 18:00:34 +0200

xterm (358-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 13.
    - Drop the dh_missing override, redundant in that compat level.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Jul 2020 18:40:08 +0200

xterm (357-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 08 Jul 2020 18:55:31 +0200

xterm (356-2) unstable; urgency=medium

  * Build-depend on bsdextrautils | bsdmainutils (<< 12.1.1~) for the
    'col' program (see #963377).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Jun 2020 19:02:35 +0200

xterm (356-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 03 May 2020 18:00:52 +0200

xterm (355-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from 354-1, applied upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 May 2020 08:35:31 +0200

xterm (354-1) unstable; urgency=medium

  * New upstream release.
    - Work around performance problems of XDrawImageString and
      XDrawImageString16 functions (Closes: #954845).
    - Temporarily set numeric locale category to "C" when parsing
      resources, so that scaleHeight and faceSize settings do not
      depend on locale (Closes: #820803).
    - Two fixes for left/right wheel mouse event reporting
      (Closes: #954730).
      + Filter identical button-events.
      + Correct order of button-range versus protocol type
        (see xterm 345).
    - Modify uxterm to make it possible to select locale C.UTF-8,
      e.g, if the user's locale is set to "C" (Closes: #940626).
  * Cherry-pick a fix from upstream snapshot 354a: build-fix for "make
    check" when building out-of-tree.
  * Update copy of XTerm FAQ to revision 1.392 (dated 2020/03/21).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 29 Apr 2020 18:03:39 +0200

xterm (353-1ubuntu1) focal; urgency=medium

  * Sync with Debian, remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Feb 2020 11:49:57 +0200

xterm (353-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 03 Feb 2020 18:07:50 +0100

xterm (352-1) unstable; urgency=medium

  * New upstream release.
    - Adjust fontsize data to handle a minor inconsistency from recent Xft
      versions (Closes: #880407, adapted from patch by Vincent Lefevre).
    - Add a table to the manual page description of forceBoxChars to alert
      the reader to the special characters aside from "line-drawing" which
      are drawn directly when this resource is set (Closes: #931305).
  * Bump autoconf-dickey build dependency to (>= 2.52+20200111), as per
    configure.in.
  * Disable the adequate autopkgtest.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Jan 2020 18:31:37 +0100

xterm (351-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 20 Nov 2019 18:01:23 +0100

xterm (350-1) unstable; urgency=medium

  * New upstream release.
    - Update manual page default for saveLines resource default value
      (Branden Robinson, Closes: #913815).
  * Drop cherry-picked patches.
  * Refresh remaining patches.
  * Update copy of XTerm FAQ to revision 1.389 (dated 2019/11/02).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 04 Nov 2019 18:13:35 +0100

xterm (349-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from 348-2, applied upstream.
  * Cherry-pick fixes from upstream snapshots 349b and 349d.
  * Configure with --enable-warnings and stop adding -Wall to CFLAGS.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Update copy of XTerm FAQ to revision 1.385 (dated 2019/09/13).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 30 Sep 2019 18:25:13 +0200

xterm (348-2ubuntu1) eoan; urgency=medium

  * Sync with Debian, remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "Ubuntu"

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Sep 2019 15:11:35 +0300

xterm (348-2) unstable; urgency=medium

  * Update patch 900_debian_xterm.diff:
    - Disable "rep" in xterm-new and derived terminfo descriptions
      (see #933053).
    - Stop disabling rmm and smm.  Apparently this is no longer needed,
      and since xterm 331 the wrong terminfo entry had been patched anyway.
  * Convert the patch header of 900_debian_xterm.diff to DEP-3, and add
    headers to the patches 902_windowops.diff and 904_fontops.diff.
  * Cherry-pick a patch from upstream snapshot 348a: fix loop-limit for
    lookup of fullscreen resource broken in xterm 347 (report by
    Scott Bertilson, Closes: #934717).
  * Remove debian/NEWS, last updated nine years ago in xterm 259-1.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 15 Aug 2019 18:43:01 +0200

xterm (348-1) unstable; urgency=medium

  * New upstream release.
    - Update window-manager hints when exiting Tek4014 mode
      (Closes: #932569, patch by Jonathan Irwin).
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 25 Jul 2019 06:43:28 +0200

xterm (347-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.383 (dated 2019/05/12).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 03 Jul 2019 17:42:53 +0200

xterm (346-1) experimental; urgency=low

  * New upstream release.
    - Update description of the "default" setting for the renderFont
      resource to match the behavior in xterm 261 (Closes: #862042).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 30 May 2019 18:29:50 +0200

xterm (345-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper compatibility level to 12.
    - Build-depend on debhelper-compat (= 12) and drop debian/compat.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 May 2019 19:34:06 +0200

xterm (344-1) unstable; urgency=medium

  * New upstream release.
    - A check of zIconBeep resource was removed in double-buffer fix in
      xterm 334.  That is used to decide whether to handle struct-notify
      events.  When xterm does handle the events, it may negotiate a new
      window-size with the window manager.  In that case, the limitResize
      resource setting limited the new window-size to the screen-size.
      Amended that by eliminating the limit for this special case when
      double-buffer is configured, and restoring the check for zIconBeep
      when double-buffer is not configured (Closes: #919475).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.378 (dated 2019/01/27).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 14 Feb 2019 18:04:18 +0100

xterm (343-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 16 Jan 2019 18:05:47 +0100

xterm (342-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 06 Jan 2019 13:52:00 +0100

xterm (341-1) unstable; urgency=medium

  * New upstream release.
    - Modify the initial pattern passed to fontconfig to disallow color
      bitmap fonts (Closes: #916349).
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Dec 2018 09:26:42 +0100

xterm (340-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 20 Dec 2018 18:19:12 +0100

xterm (338-1) unstable; urgency=medium

  * New upstream release.
    - Amend solution for #758633 to ensure that replies for bracketed
      paste are not sent while processing a selection for exec-formatted
     (Closes: #913237).
    - Change compiled-in default for saveLines to match the resource-file
      changed in xterm 192 (Closes: #913815).
    - Revert the change which prevented concurrent ownership of different
      selection targets, and instead modify selection storage so that
      different concurrent requests for different selection targets will
      be stored/retrieved independently (Closes: #901249).
  * Mark the autopkgtests as superficial.
  * Update copy of XTerm FAQ to revision 1.375 (dated 2018/10/16).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Dec 2018 20:31:33 +0100

xterm (337-1) unstable; urgency=medium

  * New upstream release.
    - Ensure that only one of PRIMARY and CLIPBOARD is owned by xterm
      at a given time (Closes: #901249).
  * Bump debhelper compatibility level to 11.
    - Bump autoconf-dickey build dependency to (>= 2.52+20180819)
      (see #887390).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 23 Sep 2018 08:59:12 +0200

xterm (335-1) unstable; urgency=medium

  * New upstream release.
    - Drop custom-entity from HTML-dump, use UTF-8 for &nbsp;
      (Closes: #902381).
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 Aug 2018 19:21:42 +0200

xterm (333-1) unstable; urgency=medium

  * New upstream release.
  * Prefer libncurses-dev over libncurses5-dev in Build-Depends.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 07 May 2018 19:41:50 +0200

xterm (332-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields to point at salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Regenerate ctlseqs.txt from ctlseqs.ms (Closes: #848818).
    - Add groff to Buils-Depends.
  * Fetch the copy of the XTerm FAQ over https rather than http.
  * Update copy of XTerm FAQ to revision 1.366 (dated 2018/04/15).
  * Update debian/watch to version 4, and look for tarballs on
    https://invisible-mirror.net.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 23 Apr 2018 18:47:06 +0200

xterm (331-1) unstable; urgency=medium

  * New upstream release.
    - Add workaround for improper grayscale adjustments made in FreeType
      library, exposed by changes to rounding in 2.8.1, which shows up as
      a gap in line-drawing characters (Closes: #880407).
    - Replace constant 10msec delay for next X event with new resource
      nextEventDelay, and reduce that to 1msec to accommodate faster machines
      than used when -hold was implemented in 1999 (Closes: #877628).
    - Add scroll-to action, which simplifies binding a key to scroll to
      the beginning or end of the saved-lines (Closes: #880120).
    - Improve workaround for #542434 by using the font's maximum width
      when no ISO-8859-1 glyphs are provided (Closes: #879936).
    - Additional manpage macro cleanup (Branden Robinson, Closes: #880551).
    - Fix typography in xterm.man (patch by Bjarni Ingi Gislason,
      Closes: #869248).
  * Refresh Debian patches.
  * Use https in the Homepage field.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Jan 2018 18:06:06 +0100

xterm (330-2) unstable; urgency=medium

  * Add two simple autopkg smoke tests.
  * Drop autotools-dev from Build-Depends, it is redundant now.
  * Drop alternate build-dependency on lynx-cur.
  * Stop passing --parallel to dh, already default in compat level 10.
  * Switch from "dh_install --fail-missing" to "dh_missing --fail-missing".
  * Look for tarballs on ftp.invisible-island.net in debian/watch.
  * Set Rules-Requires-Root to no.
  * Bump Standards-Version to 4.1.2, no changes needed.
  * Update copy of XTerm FAQ to revision 1.353 (dated 2017/11/11).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 16 Dec 2017 10:13:24 +0100

xterm (330-1) unstable; urgency=medium

  * New upstream release.
    - Add special case for displaying soft-hyphen if it happens to fall
      at the right margin, and omitting similar case such as the BIDI
      markers, where a zero-width character is neither a control character
      nor a combining character (Closes: #844325).
    - Fix a special case in HideCursor which assigned a bold font to the
      slot used for normal font in changes for italics in xterm 307
      (Closes: #858304).
  * Refresh Debian patches.
  * Bump autoconf-dickey build dependency to (>= 2.52+20170501), as per
    configure.in.
  * Configure "--with-desktop-category=System,TerminalEmulator,"
    (Closes: #780176).
  * Update years in debian/copyright.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update copy of XTerm FAQ to revision 1.338 (dated 2017/04/08).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 23 Jun 2017 18:27:27 +0200

xterm (327-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10.
    - Add autoconf-dickey to Build-Depends and an override for
      dh_autoreconf to debian/rules.
  * Switch to format 3.0 (quilt).
    - Drop quilt from Build-Depends and delete debian/README.source.
  * Update copy of XTerm FAQ to revision 1.332 (dated 2016/10/23).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 17 Dec 2016 14:02:49 +0100

xterm (327-1) unstable; urgency=medium

  * New upstream release.
    - Add a check in the function which handles end-of-line wrapping
      to ensure that C1 controls are allocated one column when
      allowC1Printable is set (Closes: #738794).
    - Modify allowC1Printable to disallow codes 160-254 as being equivalent
      to codes 32-126 when parsing escape sequences (Closes: #839220).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 09 Oct 2016 11:25:56 +0200

xterm (326-1) unstable; urgency=medium

  * New upstream release.
    - Add examples of setting the icon title with/without the window
      title in the manual (Closes: #833984).
    - Amend fix for #738794 to restore a check for missing characters
      which are not combining characters.  Also fill in a corresponding
      special case for TrueType fonts (Closes: #827905, #738794).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.329 (dated 2016/09/16).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 27 Sep 2016 20:46:07 +0200

xterm (325-1) unstable; urgency=medium

  * New upstream release.
    - Further improve fix for #545220 in xterm 248, to avoid conflict
      with combining characters (Closes: #738794).
  * Refresh Debian patches.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 08 Jun 2016 17:39:36 +0200

xterm (324-2) unstable; urgency=medium

  * Enable all hardening options.
  * Remove the menu file (see #741573).
  * Add libxinerama-dev to Build-Depends.
  * Update copy of XTerm FAQ to revision 1.317 (dated 2016/03/21).
  * Bump Standards-Version to 3.9.8.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 08 May 2016 08:32:18 +0200

xterm (324-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 12 Mar 2016 08:35:48 +0100

xterm (323-1) unstable; urgency=medium

  * New upstream release.
  * Use https for Vcs-* fields.
  * Prefer lynx over lynx-cur in Build-Depends.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 10 Mar 2016 18:02:21 +0100

xterm (322-1) unstable; urgency=medium

  * New upstream release.
    - Fix regression due to incorrect fix for compiler warning when
      allocating storage for /etc/shells (Closes: #809646).
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 02 Jan 2016 16:17:27 +0100

xterm (321-1) unstable; urgency=medium

  * New upstream release.
  * Run lynx with the -display_charset=utf-8 option when dumping the text
    version of the XTerm FAQ, making the build reproducible.
  * Update copy of XTerm FAQ to revision 1.307 (dated 2015/12/28).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 01 Jan 2016 17:27:01 +0100

xterm (320-1) unstable; urgency=medium

  * New upstream release.
    - Amend fix for bug #794201 (report forwarded from Christian Jachmann
      by Emanuel Haupt, Closes: #797008).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 29 Aug 2015 13:47:23 +0200

xterm (319-1) unstable; urgency=low

  * New upstream release.
    - Correct combination of -ls and -e options for utempter configuration
      (Closes: #794201).
  * Update copy of XTerm FAQ to revision 1.305 (dated 2015/05/01).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 22 Aug 2015 09:10:05 +0200

xterm (318-2) unstable; urgency=low

  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 26 Apr 2015 15:32:00 +0200

xterm (318-1) experimental; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 15 Apr 2015 17:33:16 +0200

xterm (317-1) experimental; urgency=low

  * New upstream release.
    - Adapt example for exec-formatted from Lukáš Zapletal's webpage
      to manual (Closes: #780008).
    - Add a short usage section to the xterm manual, including notes
      on setting the window title (Closes: #742477).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 31 Mar 2015 17:50:42 +0200

xterm (316-1) experimental; urgency=low

  * New upstream release.
    - Add configure option --enable-initial-erase to set ptyInitialErase
      consistently with manpage, as well as adding a table in manpage to
      clarify the relationship between the resources related to the
      backarrow key (Closes: #775952).
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.293 (dated 2015/02/16).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 08 Mar 2015 19:17:29 +0100

xterm (314-1) experimental; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.289 (dated 2014/12/19).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 30 Dec 2014 18:25:43 +0100

xterm (313-1) experimental; urgency=low

  * New upstream release.
  * Refresh Debian patches.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 04 Dec 2014 18:51:09 +0100

xterm (312-2) unstable; urgency=medium

  * Cherry-pick a patch from xterm 314: change passedPty[] to an
    allocated string to ensure it is long enough for the -S option
    value (Closes: #779397).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Mar 2015 11:45:01 +0100

xterm (312-1) unstable; urgency=medium

  * New upstream release.
    - Undo change to do_select_regex() in xterm 311 (Closes: #762978).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 Sep 2014 17:16:25 +0200

xterm (311-1) unstable; urgency=low

  * New upstream release.
    - Mention xclip in manpage as an alternative workaround for copying
      clipboard data, noting that selectToClipboard is the recommended
      approach (Closes: #639094).
    - Correct initialization for regular-expression feature of
      exec-selectable and insert-selectable actions.
      Modify logic for exec-formatted and insert-formatted actions to
      ensure that the formatting occurs just after the selection is
      received (Closes: #758633).
    - Account for state of reverse-video in special case of cursor coloring
      (Closes: #759734).
    - Enable the "Escape Sequence" menu entry when an OSC 50 is received.
      Also disable it if the escape sequence specifies no font
      (Closes: #760208).
    - Improve fix for the fontsel menu entry from xterm 304: because the
      recovery used the "current font", it would fail if one first selected
      a valid font, then an invalid font (Closes: #760207).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Sep 2014 17:55:43 +0200

xterm (310-1) unstable; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 30 Aug 2014 11:26:09 +0200

xterm (308-1) unstable; urgency=medium

  * New upstream release.
    - Correct font used for clipping double-width bitmap fonts from
      xterm 307 changes to work around mis-scaled fonts (Closes: #752047).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 21 Jun 2014 09:44:01 +0200

xterm (307-1) unstable; urgency=medium

  * New upstream release.
    - Amend fix for Freedesktop bug #15979 (Closes: #750733).
    - Amend resets for keyboard-type, pointer-mode and title-modes
      from xterm 305 changes to account for resource settings
      (Closes: #751351).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 18 Jun 2014 19:49:57 +0200

xterm (306-1) unstable; urgency=medium

  [ Julien Cristau ]
  * New upstream release.
  * Remove Cyril from Uploaders.

  [ Sven Joachim ]
  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.282 (dated 2014/05/25).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Jun 2014 17:50:00 +0200

xterm (304-1) unstable; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 07 May 2014 16:50:50 +0200

xterm (303-1) unstable; urgency=low

  * New upstream release.
    - Fix a regression in xterm 302 relating to interaction of SHELL
      and XTERM_SHELL variables (Closes: #740919).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 07 Mar 2014 18:23:50 +0100

xterm (302-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.278 (dated 2014/02/24)
    (Closes: #737692).
  * Check GPG signature of upstream tarballs in the watch file.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 04 Mar 2014 19:55:16 +0100

xterm (301-1) unstable; urgency=low

  * New upstream release.
    - Improve manpage description of scrollbar translations versus
      the vt100 translations (Closes: #723573).
  * Build-depend on autotools-dev to update config.{guess,sub}.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 22 Jan 2014 18:22:12 +0100

xterm (300-1) unstable; urgency=low

  * New upstream release.
    - Avoid infinite recursion and stack overflow in libxcursor
      (Closes: #731269).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 04 Dec 2013 18:05:01 +0100

xterm (299-1) unstable; urgency=low

  * New upstream release.
  * Add libxcursor-dev to Build-Depends (Closes: #466704).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 02 Dec 2013 18:58:17 +0100

xterm (298-1) unstable; urgency=low

  * New upstream release.
    - Change default for assumeAllChars resource (Closes: #725682).
    - Amend change from xterm 297 for ASCII-equivalents to ensure that
      missing characters which happen to be double-width are padded to
      the expected number of columns. Also, correct the choice between
      normal/wide Xft fonts used when checking for missing characters
      (Closes: #728949).
    - work around Xcursor library to make pointerColor resource work as
      documented (Closes: #466704).
  * Update copy of XTerm FAQ to revision 1.259 (dated 2013/11/25).
  * Add a debian/rules target to download that FAQ from
    http://invisible-island.net.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 01 Dec 2013 09:18:00 +0100

xterm (297-1) unstable; urgency=low

  * New upstream release.
  * Enable sixel graphics (Closes: #716660).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 15 Sep 2013 15:52:21 +0200

xterm (295-1) unstable; urgency=low

  * New upstream release.
    - Amend fix from xterm 292 by removing now-unneeded chunk which
      introduced problem in selection (Closes: #714527).
  * Update debian/copyright.
  * Switch Vcs-* fields to anonscm.debian.org.
  * Update copy of XTerm FAQ to revision 1.243 (dated 2013/07/05).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 07 Jul 2013 17:30:07 +0200

xterm (293-1) unstable; urgency=low

  * New upstream release.
    - Improve description of initialFont, set-vt-font and set-tex-text
      in manpage (Closes: #707899).
  * Update copyright year in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 29 May 2013 17:19:26 +0200

xterm (292-1) unstable; urgency=low

  * New upstream release.
  * Refresh 904_fontops.diff.
  * Update copy of XTerm FAQ to revision 1.229 (dated 2013/05/18).
  * Bump debhelper compatibility level to 9.
  * Use dh_install's --fail-missing option.
  * Convert debian/rules to dh and drop xsfbs.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Add myself to Uploaders.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 26 May 2013 11:22:26 +0200

xterm (290-1) experimental; urgency=low

  * New upstream release
  * Drop 100_manpage_whatis.diff, no longer necessary.
  * Drop explicit --with-desktop-category, no longer necessary.
  * Update copy of XTerm FAQ to revision 1.221 (dated 2013/01/26).

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Feb 2013 16:09:09 +0100

xterm (287-1) experimental; urgency=low

  * New upstream release (closes: #694375)
    - add alternateScroll resource and corresponding control sequences which
      modify the scroll-forw and scroll-back actions: when the alternate
      screen is displayed, wheel mouse up/down will send cursor keys (closes:
      #683942)
    - improve rendering for the case when a Unicode character is absent in the
      bold font but present in the normal font by temporarily falling back to
      the normal font (closes: #359006, #408666)
    - check for misconfigured printerCommand resource on the first use, warn
      and disable it if it does not specify an executable command (closes:
      #691642)
  * Drop upstream patches.
  * Refresh remaining patches.
  * Explicitly set --with-desktop-category to avoid desktop-file-install
    failure.
  * Enable backarrowKeyIsErase in configure instead of 900_debian_xterm.diff.
  * Install png/svg icons.
  * Change xterm.man's NAME section to keep whatis(1) happy.

 -- Julien Cristau <jcristau@debian.org>  Tue, 27 Nov 2012 22:27:28 +0100

xterm (278-4) unstable; urgency=low

  * Update copy of XTerm FAQ to revision 1.199 (dated 2012/11/11).

 -- Julien Cristau <jcristau@debian.org>  Tue, 27 Nov 2012 20:17:49 +0100

xterm (278-3) unstable; urgency=low

  [ Timo Aaltonen ]
  * control: Mark the package as Multi-Arch: foreign.

  [ Julien Cristau ]
  * Apply a few patches recommended by upstream in #694375 (thanks!)
    - amend patch from 278-2 to catch more cases
    - amend fix for Debian #650291 in patch #277 changes to account for
      different data returned by vnc4server (closes: #670638)
    - correct macro definition used for testing modes used in ANSI/DEC
      request-mode controls introduced in patch #262
    - add a null-pointer check in OkPasswd macro to fix a problem in resize
      with Fedora 17 and a serial console (report/patch by Daniel Drake).

 -- Julien Cristau <jcristau@debian.org>  Tue, 27 Nov 2012 19:57:47 +0100

xterm (278-2) unstable; urgency=low

  * Fix crash in Tektronix mode (Closes: #685458).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 27 Aug 2012 02:14:38 +0200

xterm (278-1) unstable; urgency=low

  * New upstream release
    - move call to grantpt before asking utempter to add a record, to work
      with kFreeBSD which does not update the terminal's ownership until this
      point (closes: #652907)
    - document limitation of XIM interface in manpage (see #230787)
    - add four new actions for making the selection or data directly copied
      from the screen: exec-formatted, exec-selectable, insert-formatted,
      insert-selectable (closes: #637001)
    - add eightBitMeta resource to control the features which modify or
      interpret the eighth bit of a key when the meta modifier key is pressed
      (prompted by #326200)
    - improve discussion of eightBitInput in the manpage (prompted by #326200)
    - add a workaround for XAllocColor(), which does not actually allocate "a
      read-only colormap entry corresponding to the closest RGB value
      supported by the hardware", but rather a rough approximation (closes:
      #650291)
  * Update copy of XTerm FAQ to revision 1.180 (dated 2012/02/06).

 -- Julien Cristau <jcristau@debian.org>  Mon, 09 Apr 2012 21:45:01 +0200

xterm (276-2) unstable; urgency=low

  * Team upload.

  [ Julien Cristau ]
  * Pass -DFOO in CPPFLAGS, not CFLAGS.
  * Update copyright year in debian/copyright.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Remove David Nusinow from Uploaders.
  * Enable hardened build flags through dpkg-buildflags (closes: #653488).
    Based on patch by Moritz Muehlenhoff, thanks!

  [ Sven Joachim ]
  * Update 900_debian_xterm.diff:
    - Disable rmm and smm features in xterm-new rather than xterm, so
      that they do not become enabled in e.g. xterm-256color.

 -- Julien Cristau <jcristau@debian.org>  Sat, 31 Dec 2011 19:00:02 +0100

xterm (276-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * Install .desktop files again. (Closes: #486317, LP: #129041)

  [ Julien Cristau ]
  * New upstream release
    + document limitation of Gtk in connection with xterm's "-into" option, in
      the manpage (LP: #806969)
    + fix regression in command-line parsing introduced in patch #271 changes
      for Debian #629358 (closes: #637910)
  * Don't use dh_testroot in clean.
  * Update 900_debian_xterm.diff to only edit the new xterm+kbs fragment in
    both terminfo and termcap instead of adding an xterm-debian variant to
    change the backspace key behaviour.
  * Update copy of XTerm FAQ to revision 1.168 (dated 2011/09/12).

  [ Sven Joachim ]
  * Update 900_debian_xterm.diff:
    - Add xterm-debian terminfo entry as an alias for xterm.
    - Disable rmm and smm features in xterm terminfo entry to match the
      behavior in ncurses-base (see #574396).

 -- Julien Cristau <jcristau@debian.org>  Sat, 15 Oct 2011 19:38:42 +0200

xterm (271-1) unstable; urgency=low

  * New upstream release
    - amend change for Debian #110226 so that "-h" or "-v" options cause an
      exit, rather than simply printing to stdout while the window is
      displayed (closes: #629358)
    - handle special-case of KeyPress translated to popup-menu action
      (LP: #756273)

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Jul 2011 13:55:37 +0200

xterm (270-1) unstable; urgency=low

  * New upstream release:
    - Add printModeOnXError and printFileOnXError resources, which allow
      the user to specify that xterm will write the contents of its screen
      to a file if it is exiting due to an X error (Closes: #280457).
    - Fix translations vs. fullscreen initializations to handle a corner
      case (Closes: #612978).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jun 2011 00:05:53 +0200

xterm (269-1) unstable; urgency=low

  * New upstream release:
    - Make the fullscreen feature configurable (Closes: #612978).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Mar 2011 17:05:05 +0100

xterm (268-1) unstable; urgency=low

  [ Sven Joachim ]
  * Prefer lynx-cur over lynx in Build-Depends.
  * Update xsfbs.
  * Drop useless debian/xterm.dirs.
  * Stop recommending the transitional xutils package.
  * Mention ncurses-base in README.Debian (Closes: #373139).
  * Do not manually gzip the text version of the FAQ, dh_compress can take
    care of that.

  [ Julien Cristau ]
  * Update copy of XTerm FAQ to revision 1.167 (dated 2010/11/25)
  * New upstream release (267)
    + add copy-selection action (request by Timo Juhani Lindfors,
      closes: #588785
  * New upstream release (268)
    + fix an inconsistency of the "Enable Reverse Video" checkbox in the VT
      Options menu.  This also removes a special case added in patch #217
      which limited the effect of the reverseVideo resource (closes: #603808)

 -- Julien Cristau <jcristau@debian.org>  Thu, 10 Feb 2011 18:48:37 +0100

xterm (266-1) unstable; urgency=low

  * New upstream release (Closes: #601103, yay for patience…):
    + Fix a regression in fontname logic from patch #263, thanks to
      Vincent Lefevre (Closes: #600707).
  * Fix watch file: use PASV mode.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 27 Oct 2010 14:23:02 +0200

xterm (264-1) unstable; urgency=low

  * New upstream release:
    + Fix active-icon in specific cases (Closes: #591265).
    + Fix pointer visibility issues (Closes: #594856).
    + Fix segmentation fault with -fb and other options (Closes: #600129).
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 14 Oct 2010 23:53:57 +0200

xterm (261-1) unstable; urgency=low

  * New upstream release
    + fix regression in renderFont logic, from patch #260 changes
      (closes: #587428)

 -- Julien Cristau <jcristau@debian.org>  Mon, 28 Jun 2010 21:53:28 +0100

xterm (260-1) unstable; urgency=low

  * New upstream release
    + extend renderFont resource to allow deferred switch to TrueType fonts
      without affecting existing resource settings (closes: #585620)
    + change configure script default for --enable-broken-st (i.e., the
      brokenStringTerm feature) to normally enable it.  If the corresponding
      resource is enabled, this feature eliminates an apparent freeze of xterm
      when sending mis-encoded data to the screen (closes: #584801)
    + undo a change to limit-check in ScrnRefresh in patch #257, which broke
      fastScroll feature (closes: #584841)

 -- Julien Cristau <jcristau@debian.org>  Fri, 25 Jun 2010 19:58:38 +0100

xterm (259-1) unstable; urgency=low

  * README.Debian: drop obsolete content, including a link to the old Debian X
    FAQ (closes: #581647).  Thanks, Bob Proulx!
  * Add a NEWS entry about the changed default value for pointerMode (closes:
    #581653).  Request and wording from Bob Proulx, thanks!
  * Refresh 902_windowops.diff and 904_fontops.diff.
  * New upstream release
    + change default for allowScrollLock resource to false, noting that the
      supposedly unused key has been useful for various rebindings
      (closes: #580946)
  * Update copy of XTerm FAQ to revision 1.138 (dated 2010/05/15).
  * Bump copyright year in debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Sun, 06 Jun 2010 14:39:27 +0200

xterm (258-1) unstable; urgency=low

  * terminfo: derive xterm{16,256,88}-color from xterm-debian (patch by Sven
    Joachim), closes: #547443.
  * New upstream release
    + modify AllocateTermColor() to separate initialization from control
      sequences, fixing problem from patch #254 changes where enabling
      allowSendEvents resource prevents setting cursor color on command-line
      (closes: #572928)

 -- Julien Cristau <jcristau@debian.org>  Sat, 08 May 2010 13:48:12 +0200

xterm (256-1) unstable; urgency=low

  * New upstream release.
  * Delete patch 901_xterm_manpage.diff, the utmp/wtmp paths are now set in
    the manpage at build/install time thanks to upstream changes.
  * Refresh patches 902 and 904.
  * Add build dependency on xorg-docs-core to fix the reference to X(7) in
    xterm(1).
  * Also document the libxkbfile-dev and libutempter-dev build-deps.

 -- Julien Cristau <jcristau@debian.org>  Sun, 14 Mar 2010 20:15:13 +0100

xterm (255-1) unstable; urgency=low

  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Add build-dep on libxkbfile-dev for XkbBell(3).
  * Remove myself from Uploaders
  * New upstream release
    + correct logic used to switch to alternate screen using FIFO-lines
      configuration (closes: #565772)
    + improve manpage by checking for actual locations of utmp/wtmp files
      (closes: #562640)
  * Refresh patches 900_debian_xterm.diff, 901_xterm_manpage.diff,
    902_windowops.diff, 904_fontops.diff.
  * Bump Standards-Version to 3.8.4.

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 Mar 2010 14:38:17 +0100

xterm (253-1) unstable; urgency=low

  * New upstream release
    + parenthesize expression in MoreRows macro, fixing a limit check added in
      patch #251 (closes: #560039)
  * Update debian/copyright.
  * Add dependency on ${misc:Depends} (lintian).
  * Refresh patches 900_debian_xterm.diff and 901_xterm_manpage.diff.

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Dec 2009 12:31:52 +0000

xterm (251-1) unstable; urgency=low

  * New upstream release.
  * Update copy of XTerm FAQ to revision 1.107 (dated 2009/11/11).
  * Upstream introduced a new 'disallowedWindowOps' resource to fine-tune
    which operations are affected by the 'allowWindowOps' setting.  After
    discussion with the security team, change the default for the new resource
    to include all operations.

 -- Julien Cristau <jcristau@debian.org>  Sat, 28 Nov 2009 14:46:51 +0100

xterm (250-1) unstable; urgency=low

  * New upstream release
    + add check and error-message for fonts that have no printable values in
      the ISO-8859-1 range (closes: #542434)
    + limit minimum cell-width for packed font to maximum-advance
      reported by Xft.  Some fonts are wider than that, even in the Latin-1
      range (closes: #550497)
    + correct off-by-one in okPosition fix from patch #249 limit-checks which
      prevented double-click selection on the bottom line of the screen
      (closes: #550368)
    + document in xterm manpage the limited availability of resources color16
      to color255 as noted in patch #188 (LP: #438850)

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Oct 2009 20:20:08 +0200

xterm (249-1) unstable; urgency=low

  * New upstream release.
    + add limit-checks for result of visual_width() function, needed from
      patch #242 and exposed by #244 changes (closes: #548321).
  * Upstream changed the default of AllowWindowOps to false, remove patch
    903_windowops.diff.
  * Use the upstream default for pointerMode; drop patch
    902_pointermode_never.diff.

 -- Julien Cristau <jcristau@debian.org>  Sun, 04 Oct 2009 15:40:16 +0200

xterm (248-1) unstable; urgency=low

  * New upstream release
    + correct logic used to improve performance of missing-glyph check, which
      did not handle line-drawing characters (closes: #545220)

 -- Julien Cristau <jcristau@debian.org>  Wed, 16 Sep 2009 15:53:07 +0200

xterm (247-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Remove David Martínez Moreno from Uploaders as he hasn't been active on
    this package lately.
  * Kill remaining subversion $Id$ tags from debian packaging files.
  * Use libutempter, remove setgid bit from the xterm binary (closes: #537867).

 -- Julien Cristau <jcristau@debian.org>  Fri, 04 Sep 2009 16:24:35 +0200

xterm (246-1) unstable; urgency=low

  * New upstream release
    + interaction between allowSendEvents and the various allowXXXOps
      resources clarified in manpage (closes: #531597)
    + remove obsolete logic for saving/restoring wrapping flags, which did not
      work on 64-bit platform.  Wrapping flags (stored in the line-index) are
      now copied with line-data (closes: #541160)
    + modify comments in app-defaults files to avoid problem with C
      preprocessor used by xrdb (closes: #541603)
    + restore special case in makeColorPair needed for colorBDMode resource
      (closes: #541089)
    + correct SetLineFlags() macro, broken in patch #244 when recoding to
      avoid gcc-specific bitfields (closes: #541236)
  * The issues with the fifo-lines code should now be fixed, so enable it
    again.

 -- Julien Cristau <jcristau@debian.org>  Sun, 23 Aug 2009 00:35:21 +0200

xterm (244-2) unstable; urgency=low

  * Configure with --disable-fifo-lines to work around a crash in the new
    saved-lines handling code (closes: #541236, #541160, #541132, #541109).
    Thanks to Thomas Dickey for the workaround.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Aug 2009 22:25:16 +0200

xterm (244-1) unstable; urgency=low

  * New upstream release
    + remove a limit-check in ptydata.c, allowing Unicode values past 64k to
      be displayed using TrueType fonts (closes: #458432)
    + demote recent (xterm 242) change to Debian #252873 fix to experimental,
      ifdef'd out as EXP_BOGUS_FG (closes: #522141)
    + work around groff mapping of ASCII quotes using macros (requested by
      Reuben Thomas based on Colin Watson advice (closes: #378700)
  * Switch debian/rules to xsfbs instead of copying half of (an outdated
    version of) it (closes: #538594).  Incidentally, this provides
    README.source, and allows us to bump Standards-Version to 3.8.2.
  * Remove preinst dealing with upgrades from pre-etch versions.
  * Remove from postinst some code to fix pre-etch non-released versions.
  * Refresh/update patches.
  * Bump debian/compat to 5, as compatibility level 4 has been deprecated.
  * Remove obsolete debian/README.

 -- Julien Cristau <jcristau@debian.org>  Mon, 10 Aug 2009 16:30:29 +0200

xterm (243-1) unstable; urgency=low

  * New upstream release (closes: #526334)
    + fixes bell regression (closes: #520405)
  * Refresh patch stack.
  * Defaults for allow-{tcap,window,font}ops are now set from debian/rules
    instead of the relevant patches, which now only touch the manpage.
  * Update copy of XTerm FAQ to revision 1.105 (dated 2009/01/11).

 -- Julien Cristau <jcristau@debian.org>  Mon, 25 May 2009 19:58:19 +0200

xterm (242-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Wed, 18 Mar 2009 15:37:18 +0100

xterm (241-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 905_tcapops.diff, allowTcapOps now defaults to false upstream.
  * Refresh patches 901_xterm_manpage.diff, 902_pointermode_never.diff,
    903_windowops.diff, 904_fontops.diff.

 -- Julien Cristau <jcristau@debian.org>  Sun, 01 Feb 2009 00:15:50 +0100

xterm (239-1) unstable; urgency=low

  * New upstream release.
    + correct a cast in input.c, which broke translation of numeric keypad
      codes to pageup, pagedown, etc., on 64-bit platform (closes: #511138).
  * debian/copyright: Update Thomas Dickey's copyright notices

 -- Julien Cristau <jcristau@debian.org>  Sat, 10 Jan 2009 19:22:31 +0100

xterm (238-2) unstable; urgency=low

  * Also default allowTcapOps to false, as suggested by Florian Weimer.

 -- Julien Cristau <jcristau@debian.org>  Sun, 04 Jan 2009 14:57:43 +0100

xterm (238-1) unstable; urgency=low

  * New upstream release.
    + respond to incorrectly formatted DECRQSS with a cancel
      (closes: #510030).  Reference: CVE-2008-2383.
  * Default the allowWindowOps and allowFontOps resources to false, to prevent
    potential security issues.  Thanks to Paul Szabo.

 -- Julien Cristau <jcristau@debian.org>  Sat, 03 Jan 2009 17:35:46 +0100

xterm (237-1) unstable; urgency=low

  * debian/rules: don't fail in patch if the patches are already applied; also
    create the patch stamp in the same way as the other stamp files
    (closes: #498327).  Thanks, Petr Salinger!
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2008 16:01:37 +0200

xterm (236-1) unstable; urgency=low

  [ Brice Goglin ]
  * Update patches to not use -p0, closes: #485360.

  [ Julien Cristau ]
  * New upstream release.
    + fixes for vt100-style character sets in UTF-8 mode (LP: #230919)
  * Handle parallel=n in DEB_BUILD_OPTIONS.
  * Don't call dh_makeshlibs.
  * Configure with --enable-dabbrev (closes: #454202).
  * Update copyright date to 2008 in debian/copyright for Thomas E. Dickey's
    contributions.

 -- Julien Cristau <jcristau@debian.org>  Tue, 09 Sep 2008 01:21:27 +0100

xterm (235-1) unstable; urgency=low

  * New upstream release.
    + adjust saved-cursor position if the window is resized while displaying
      the alternate screen (closes: #383384)
    + correct initialization of bold- and wide-, wide-bold fonts which may be
      set via the utf8Fonts subresource (closes: #347790)
  * Refresh patches 901_xterm_manpage.diff and 902_pointermode_never.diff.

 -- Julien Cristau <jcristau@debian.org>  Mon, 21 Apr 2008 02:48:05 +0200

xterm (234-1) unstable; urgency=low

  * New upstream release.
    + fix a case where an incorrect font was freed during initialization
      (closes: #471332)
    + improve resize computation for situations where the negotiation fails,
      by invoking the xterm widget's core-class resize method
      (closes: #365602)
  * Change doc-base section from `XShells' to `Terminal Emulators'; thanks,
    lintian!

 -- Julien Cristau <jcristau@debian.org>  Wed, 19 Mar 2008 15:08:03 +0100

xterm (232-1) unstable; urgency=low

  * New upstream release.
    + corrected logic in a font-cache used for reverse-video
      (closes: #404079)
    + allow building with configure options --disable-ansi-color and
      --disable-leaks (closes: #459817)
    + allow building with configure options --enable-wide-chars and
      --disable-c1-print (closes: #459816)
    + add pointerMode resource to control whether and when the pointer cursor
      is hidden as the user types; also fix it so it's really hidden instead
      of showing a black dot (closes: #460545)
    + add limit-checks to tabs.c, increase maximum column for setting
      tab-stops from 320 to 1024 (closes: #462621)
  * Set pointerMode to "never" by default, to restore pre-230 behaviour.
    Document that change in xterm.man (new patch 902_pointermode_never.diff).
  * Look for luit in /usr/bin, not /usr/X11R6/bin.
  * Refresh patches.
  * debian/control: luit is in x11-utils now, update Recommends and
    Description.
  * Add Vcs-* and Homepage fields in debian/control.  Thanks, Joey Hess!
    (closes: #464947)

 -- Julien Cristau <jcristau@debian.org>  Tue, 19 Feb 2008 21:20:08 +0100

xterm (231-1) unstable; urgency=low

  * New upstream release
    + undo change to getXtermCell() from patch #230 using PACK_PAIR macro
      (closes: #459041, analysis by Caetano Jimenez Carezzato).

 -- Julien Cristau <jcristau@debian.org>  Sun, 06 Jan 2008 10:13:28 +0100

xterm (230-1) unstable; urgency=low

  * New upstream release.
    + do not treat Unicode BIDI control characters as combining characters
      (closes: #457634)
    + correct width-calculation used for adjusting proportional fonts, to work
      with wide-characters (closes: #441354)
    + make missing double-width glyphs display as double-width
      (closes: #456236)
    + fix an ifdef in logic for selecting regular expressions while in a
      narrow-character locale (closes: #449227)
  * koi8rxterm, its manpage and app-defaults file, and the uxterm manpage are
    now upstream, so remove our versions.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Update copy of XTerm FAQ to revision 1.99 (dated 2007-11-29).

 -- Julien Cristau <jcristau@debian.org>  Thu, 03 Jan 2008 12:07:38 +0100

xterm (229-1) unstable; urgency=low

  * Fix typo in uxterm(1) (LP: #128136).
  * New upstream release
    + undo an incorrect fix for a memory leak in patch #209
      (closes: #435858).
  * Stop installing the .desktop files and adapt xterm.menu to the new menu
    structure.
  * Use a separate build dir.
  * Build with -Wall.

 -- Julien Cristau <jcristau@debian.org>  Mon, 13 Aug 2007 16:10:01 +0200

xterm (228-1) unstable; urgency=low

  [ Julien Cristau ]
  * New upstream release
    + fix missing assignment for UTF-8 parsing in widget initialization
      (closes: #403360).
    + correct index expression used to set line-wrapping flag, making
      selection from scrollback work consistently (closes: #430121).
  * Refresh 901_xterm_manpage.diff.

  [ Brice Goglin ]
  * Fix debian/rules to not be confused by ~/.quiltrc or QUILT_PATCHES,
    closes: #369920.

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 Jul 2007 03:43:32 +0200

xterm (226-1) unstable; urgency=low

  [ Branden Robinson ]
  * Remove debian/NEWS; the events it attested to (like the "upcoming 7.0
    modularization" are no longer news, and are in the past.

  [ Julien Cristau ]
  * Configure with --with-tty-group=tty, to prevent security problems in case
    of buggy build environment (closes: #349142).
  * New upstream release.
    + fix  an  infinite  loop  when  showing  a  2-column character in a
      1-column screen (closes: #426863).
    + add  XF86Paste  and  SunPaste  to the default translations
      (closes: #422521, patch by Bernhard R Link).
    + improve  permissions  logic  when  closing pseudo-terminal
      (closes: #12261, patch by Nathanael Nerode, analysis by Richard
      Braakman).
    + add  a check in case someone tries to call the popup-menu() action
      on a menu which is not initialized (closes: #426364).
    + fix error-checking on internal font switching for "Selection" menu
      entry (closes: #421523).
    + amend select/paste change from patch #225 by limiting it to
      non-UTF-8/non-KOI8-R encoding (closes: #420974).
    + add  workaround  for  groff  ".URL" codes which are not present in
      some commonly-used bitmap fonts (closes: #418324).
  * Update reference to xlibs-data in xterm's description, refer to xbitmaps
    instead.
  * Build-depend on desktop-file-utils to install the new desktop files for
    xterm and uxterm, and change debian/rules and debian/xterm.install to
    install these files and the icons.

 -- Julien Cristau <jcristau@debian.org>  Mon, 18 Jun 2007 14:02:22 +0100

xterm (225-1) unstable; urgency=low

  * New upstream release.
    + add initialFont resource to xterm widget, like tek-widget
      (closes: #299669).
    + amend change to boldMode from patch #223 for Debian #347790 which made
      xterm no longer match the documented behavior (closes: #412599).
  * Update and complete debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Sun, 25 Mar 2007 19:18:41 +0200

xterm (224-1) unstable; urgency=low

  * New upstream release.
    + fix build for GNU/KFreeBSD (closes: #404111).
    + undo a comparison in handle_translated_exposure which did not work
      due  to  X server optimization. That caused the inner border to be
      repainted  with  unexpected  colors when handling a repaint, e.g.,
      after  switching to/from another workspace (closes: #401726).
    + allow  -cr option to override cursor color when -ah option is used
      (closes: #406502).
    + add  a  note  in  xterm's  manpage explaining that the -bw (or -w)
      option  is  only  used  by  the  window manager, if at all
      (closes: #405043).
  * Refresh patch 901_xterm_manpage.diff.
  * Change my email address in debian/control.

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Feb 2007 00:14:06 +0100

xterm (223-2) unstable; urgency=low

  * No longer disable allowWindowOps in XTerm.ad, as commands are now
    sanitized by xterm (closes: #402917).

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 14 Dec 2006 17:29:30 +0100

xterm (223-1) unstable; urgency=low

  [ Julien Cristau ]
  * New upstream release. Includes the following fixes for bugs reported in
    the Debian BTS:
    + add the Xaw scrollbar translations resource to the xterm manpage, add an
      example showing how to change the mouse button assignments
      (closes: #382225).
    + amend cell-width computation for FreeType from patch #217, which did not
      work for VT100 line-drawing characters (closes: #399638).
    + revert an optimisation in SGR_Foreground() and SGR_Background from patch
      #209 (closes: #347722).
    + fixes to make the internalBorder area not change color due to
      reverseVideo and/or related exposure events.  The latter was a very old
      bug exposed in patch #196 (closes: #397624).
   * The fix for #347790 is now included upstream.

 -- David Nusinow <dnusinow@debian.org>  Mon,  4 Dec 2006 19:27:21 -0500

xterm (222-3) unstable; urgency=low

  [ Julien Cristau ]
  * Split xterm.doc-base in xterm.doc-base.faq and xterm.doc-base.ctlseqs, to
    make the package installable again, thanks to Ryan Murray
    (closes: #400375).

 -- David Nusinow <dnusinow@debian.org>  Sat, 25 Nov 2006 18:37:22 -0500

xterm (222-2) unstable; urgency=low

  [ Julien Cristau ]
  * Install all manpages with "1" as extension instead of "1x"
    (closes: #346377).
  * Use the x-terminal-emulator.1.gz slave alternative, instead of
    x-terminal-emulator.1x.gz.  We also need to clean up the mess this wrong
    path caused, and make sure that the x-terminal-emulator.1.gz link in
    /usr/share/man/man1/ is still there.  If it disappeared, we add it in
    postinst.  Thanks to Vincent Lefevre and Joey Hess (closes: #349462).
  * Also add the changelog entry for xterm 208-3.1, so that the BTS doesn't
    consider bugs reported against that version as "from other Branch".
    The changes from this NMU have been obsoleted by 210-2.
  * Add patch 903 by Tim Pope <debian-bug@rebelongto.us> to not ignore the
    boldmode setting.  Thanks to Joey Hess <joeyh@debian.org> for reporting
    this issue and to Thomas Dickey for his comments (closes: #347790).

  [ Branden Robinson ]
  * Ship "Xterm Control Sequences" document again, in both GNU Roff and plain
    text formats, and register the latter with doc-base.  (The former is
    easily viewable in a terminal with "groff -Tutf8 ctlseqs.ms | more", so it
    seems useful.)  (Closes: #301173)
  * Update copy of XTerm FAQ to revision 1.90 (dated 2005-11-02).
  * Resync koi8rxterm script with recent upstream changes to uxterm, upon
    which it is based.

 -- David Nusinow <dnusinow@debian.org>  Sat, 25 Nov 2006 12:25:29 -0500

xterm (222-1) unstable; urgency=low

  * New upstream release
    + Refresh patches.
  * Acknowledge NMU (thanks, Christoph!).
  * Update KOI8RXTerm app-defaults, thanks to Thomas Dickey (closes: #384925).
  * Configure with --enable-luit, again thanks to Thomas (closes: #381591).
  * Add an empty binary-indep target in debian/rules, thanks to Aurélien Jarno
    (closes: #395764).
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.7.2.
  * Use "make distclean" instead of "make clean" so that configure-generated
    files are deleted.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Sun,  5 Nov 2006 14:49:08 +0100

xterm (210-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch by Samuel Thibault to disable allowWindowOps in XTerm.ad
    (Closes: #384593).

 -- Christoph Berg <myon@debian.org>  Fri, 15 Sep 2006 16:18:06 +0200

xterm (210-3) unstable; urgency=low

  * Depend on xbitmaps rather than xlibs-data.

 -- David Nusinow <dnusinow@debian.org>  Thu, 13 Apr 2006 00:20:50 -0400

xterm (210-2) unstable; urgency=low

  * Remove useless provides and conflicts with old xutils. Thanks James Troup.

 -- David Nusinow <dnusinow@debian.org>  Thu, 16 Mar 2006 20:05:08 -0500

xterm (210-1) unstable; urgency=low

  * New upstream release (the following are fixes immediately relevant to
    Debian. More are in the upstream changelog)
    + allow cursor to have the same color as foreground (text), since it is
      rendered as reverse (closes: #350664)
    + add TIOCSCTTY ioctl() ifdef'd for __GNU__ to set the controlling
      terminal (closes: #348457)
    + typo in manpage (closes: #351425)
    + revert the XTerm.ad change from patch #208 (closes: #348384)
    + add check to ensure that double-clicking to extend selection will not
      extend it into the scrollback area. This still allows users to scroll
      back and select text (closes: #347415)
   * Remove the 01_stolen_from_HEAD patch, as it is now obsolete
   * Switch build dependency from libxaw8-dev to libxaw7-dev
   * debian/rules clean target now calls make clean instead of distclean
   * Use dh_install's --list-missing option
   * Merge duplicate Provides fields

 -- David Nusinow <dnusinow@debian.org>  Mon, 13 Mar 2006 22:12:41 -0500

xterm (208-3.1) unstable; urgency=low

  * Emergency NMU to fix queue/accepted breakage: s/Provides/Replaces/

 -- Adam Conrad <adconrad@0c3.net>  Thu, 19 Jan 2006 04:41:26 +1100

xterm (208-3) unstable; urgency=low

  * Install everything in /usr/bin, /etc/X11/app-defaults, and
    /usr/share/man/man1. This gives us back the resize program.
    (closes: #345477, #348615, #347553)
  * Add conflicts and replaces to xutils < 6.9.0.dfsg.1

 -- David Nusinow <dnusinow@debian.org>  Tue, 17 Jan 2006 21:24:01 -0500

xterm (208-2) unstable; urgency=low

  * Added 000_stolen_from_HEAD.diff, with last minute changes from Thomas
    Dickey:
    - fix typo in configure script option --disable-narrowproto.
    - Amend CF_X_FREETYPE changes for pkg-config check to ensure that Xft is
      known to that tool.
    - Add an ifdef to allow ./configure --disable-active-icon to work, broken
      by new code for testing memory leaks in #208.
  * Added --disable-imake and --enable-narrowproto to configure line in order
    to deal with toolbar problems due to the absence of NARROWPROTO definition
    (closes: 346398).

 -- David Martínez Moreno <ender@debian.org>  Mon,  9 Jan 2006 08:21:41 +0100

xterm (208-1) unstable; urgency=low

  * New upstream release (patchlevel #208). Main changes follow:
    - Implement logic in termcap query to process multiple parameters as
      documented in ctlseqs.ms
    - Fix buffer size used for termcap query, which was not long enough for
      the terminfo "colors" name.
    - Add menu entry (alt-esc) and corresponding action (alt-sends-esc) to
      toggle the eightBitInput resource setting.
    - Modify computation of rows/columns on resize to avoid extending beyond
      the given limits, e.g., if resizing in response to a "maximize" in
      Gnome or KDE which do not use the window manager hints for this case
      (closes: #289123).
    - Improve error-reporting when chown/chmod of the pseudo-terminal fails.
    - Several changes in the control sequences.
    - Improvements in the configure script.
    - Eliminate a retry for a better-matching bold font, to work around
      recent font server changes.
    - Specify weight for wide font which may be derived from normal
      fontname.
    - Cache the derived wide- and widebolt- fontnames.
    - Modify resource files to make the font-resources a little more specific,
      e.g., changing "*VT100*" to "*VT100.", to make the distinction between
      VT100.font and VT100.utf8Fonts.font sharper, in case a packager modifies
      one of those.
    - Expanded comments in UXTerm.ad regarding the font resources (closes:
      #319179).
    - Add --enable-narrowproto configure option to accommodate Xorg "modular"
      build.
    - Add scrollBarBorder resource.
    - Fix a file-descriptor leak when calling openpty().
    - A hard reset also resets the 132/80 mode.
    - Restore window manager hints after XtMakeResizeRequest() calls.
    - Scroll-down is allowed to be sent while mouse tracking is enabled.
    - Correct size-comparison in HandleInterpret() broken in changes from
      patch #201 to allocate input buffer (closes: #334317).
    - Upstream merged Debian patches 001 and 002 for typos in xterm.
    - Added setuid options.
    - add charClass resource to XTerm.ad and UXTerm.ad which simplifies
      selecting URLs
    - make -iconic option work with toolbar configuration
    - fix memory reallocation for the "UTF-8" menu entry when xterm is started
      using the +u8 option
  * Debian patches 900 and 901 resynced.
  * Clean up xterm.dirs a bit
  * Explicitly call --with-app-defaults (set to /etc/X11/app-defaults) during
    configure

 -- David Nusinow <dnusinow@debian.org>  Fri,  6 Jan 2006 00:23:38 -0500

xterm (204-0pre1) experimental; urgency=low

  * The xterm package has been splitted from the upstream X.Org tree, in
    advance of the upcoming modularization in X.Org 7.0.
  * First release to experimental, in order to test if the transition has been
    successful.
  * Credit is given to X Strike Force for their good work over these years,
    keeping a bunch of old entries from current X.Org changelog.
  * Most of the corresponding code has been imported from the X.Org packages.
    Obviously, debian/rules has been revamped and simplified.
  * New upstream release (patchlevel #204).
    - The mere existence of independent packages for xterm eases the
      identification (i.e. xterm's version). Thus it closes: #324352. Also
      added a patch to version.h in the meanwhile to override the "X.Org
      6.8.2" string in the configure script.
    - Work around quirk in shell which allowed user to "run" uxterm script
      when there was no UTF-8 locale installed by entering "sh -x uxterm".
      Also popup an xmessage to show the problem for users who run this via a
      GUI (closes: #318513).
    - Disallow changes to fonts, toolbar and scrollbar when the vt100 window
      is iconified, to simplify management of the active icon.
    - Fixes to make -geom option work properly with the toolbar configuration
      (Gentoo Bugzilla #90717, #91967).
    - Minor improvements to scrollbar layout.
    - Improve initialization due to utf8 resource by loading the utf8Fonts
      resource in the case where locale resource is false. Also in this case,
      do not disable switching UTF-8 mode on/off.
    - Minor optimization of TrueType font-loading. Load italic font only
      when needed.
    - Correct variable used to store temporary result from lookup of bold
      font, when initializing the wide-bold-font data and no immediate match
      is found by asking for a bold variant of the wide-font. The result was
      to use overstriking rather than the actual bold font (this is the fix
      for #318162, patch by Eugene Konev).
    - Modify initialization of allowSendEvents and allowWindowOps to prevent
      modification with the editres protocol.
    - Add support for interpreting the underline attribute as an italic font
      in Xft mode (patch by Chuck Blake).
    - Improve initialization of toolbar.
    - Fix logic in find_utmp, which did not reset result in getutid(),
      causing an infinite loop in some conditions.
    - Set the _NET_WM_PID property.
    - Change default values for minBufSize and maxBufSize to 4096 and 32768
      respectively so that the initial read request will match the value from
      before changes to use sched_yield().
    - Make paste of UTF-8 faster for Western character sets by checking range
      of incoming data.
    - Added experimental option to allow applications to get or set the
      selection data.
    - Fix an off-by-one error parsing -S/nn option (closes: #311438, thanks to
      Peter Chubb).
    - Fix an initialization bug from patch #201 that broke logging.
    - Amend change to command-line processing in patch #201 to avoid conflict
      with -e option (closes: #318280).
  * debian/control: Removed Conflicts with xbase << 3.3.3.2whatever, and
    suidmanager << 0.50. They are not even in Sarge.
  * The patch structure is basicly the same as in X.Org. The corresponding
    patches from X.Org patch tree have been extracted. Added a change in the
    .TH field of the manpage in order to shut up lintian.
  * Added --enable-256-color to configure (closes: #305540).
  * Moved away things from /usr/X11R6/ to /usr, now that we are free of
    imake's shackles. As a bonus, it removes several lintian warnings. Renamed
    things in debian/xterm.{postinst,prerm}.
  * Added an override file for lintian warning about setgid in xterm.
  * The postinst script is now fixed, and it points to correct manpages
    (closes: #315195).

 -- David Martínez Moreno <ender@debian.org>  Mon,  3 Oct 2005 12:04:44 +0200

xorg-x11 (6.8.2.dfsg.1-4) unstable; urgency=low

  Changes by David Nusinow:

     - Remove README.DGA from xserver-xorg.docs.m68k, mips, mipsel, and arm to
       fix FTBFS.
     - Resolve MANIFEST.mips to fix FTBFS
     - Add missing docs to xserver-xorg.docs.mipsel
     - Incorporate patch from HEAD to include more radeon PCI ID's. Thanks,
       Harald Welte. Closes: #318948.
     - Make the build not fail on MANIFEST check. If there are discrepancies,
       I'd rather have a mostly complete X package than a failure on some
       arches. The failure diff will still be spit out, allowing us to fix the
       problems.

  Changes by Eugene Konev:

     - Update 030_libvgahw_gcc4_volatile_fix.diff to include a complete fix.
       Closes: #318218.

  Changes by David Martínez Moreno

     - Fix xlibmesa-dri.bug.script to attach correct log files

 -- David Nusinow <dnusinow@debian.org>  Mon, 18 Jul 2005 09:34:07 -0400

xorg-x11 (6.8.2.dfsg.1-3) unstable; urgency=low

  Changes by David Nusinow:

     - Change reference to xlibglu1-xorg-dbg to libglu1-xorg-dbg in
       debian/rules (thanks Steve Langasek)
     - Update MANIFEST.in, and missing items to be installed for alpha, arm,
       and m68k
     - Fix incorrect C++ ABI transition. libglu1-xorg is implemented in C++
       but only exports a C ABI, so transitioning it is unnecessary. The
       package now provides both libglu1 and libglu1c2. Thanks to Marcelo
       Magallon and Steve Langasek.
     - Refer to correct config file in xserver-xorg.bug.script (thanks David
       Martínez Moreno)
     - Add 030_libvgahw_gcc4_volatile_fix.diff to work around libvgahw.a gcc4
       breakages. Thanks David Martínez Moreno and Paul Hampson.
       Closes: #318218, #318231, #318271, #318405, #318430
     - dexconf fix for 3 button mouse emulation. Thanks David Martínez Moreno;
       Closes: #318092
     - Turn on SELinux support in xdm. Thanks Manoj Srivastava; Closes: #317024
       - Add libselinux1-dev to Build-Depends
     - Update Danish debconf translations. Thanks to Claus Hindsgaul;
       Closes: #318227
     - Update Czech debconf translations. Thanks to Miroslav Kure;
       Closes: #318323
     - Update Portuguese (Brazilian) debconf translations. Thanks to Andre
       Luis Lopes; Closes: #318635
     - Update German debconf translations. Thanks to Alwin Meschede;
       Closes: #318721

   * Changes by Daniel Stone:
     - Fix S/390 build by bringing MANIFEST and *.install.s390 files up to
       date.
     - Let Xdmx build on S/390 as well.  Move xdmx.install.* files to
       xdmx.install, since they were identical for each architecture.
     - Bring MANIFEST.mips{,el}.in up to date.
     - Bring xserver-xorg.install.{alpha,mips{,el}} up to date.
     - Fix mysterious breakage in the SPARC build by fixing its MANIFEST good
       and proper.
     - Drop libstdc++6-dev dependency entirely, since build-essential will
       bring that in.  Also drop libc6-dev dependency. Closes: #318353

  Changes by Eugene Konev:

     - Add patch 002a_xterm_no_overstrike_bold_fonts.diff to fix xterm bold
       fonts ugliness; Closes: #318162

 -- David Nusinow <dnusinow@debian.org>  Tue, 12 Jul 2005 16:52:39 -0400

xorg-x11 (6.8.2.dfsg.1-2) unstable; urgency=low

  Changes by David Nusinow:

     - Change x-window-system to depend on xprint
       - Change 009 patch to refer to xprint instead of xprt-xprintorg

     - Run debian/rules update-po to update translation templates

     - Drop versioned dependency on libstdc++

     - Update debian/NEWS with a few things

     - Update xlibs-static-dev package description with libXprint* libs (thanks
       Nathanael Nerode)

     - Add 104_sparc_no_mv8_flag.diff to fix a build problem on sparc (thanks
       Julien Cristau)

  Changes by Daniel Stone:

     - Fix FTBFS by only forcing BuildXprintLib building when we're not
       BuildingServersOnly (i.e. only in the normal build, not in -dbg).
     - Change NOT_BUILDING_XFREE86_X_SERVER to _XORG_ in vars.s390 (fixes FTBFS
       also).
     - Add 000_stolen_from_drm.diff from Ubuntu, with annotations, which fixes
       FTBFS when using linux-libc-headers.

 -- David Nusinow <dnusinow@debian.org>  Mon, 11 Jul 2005 20:47:31 -0400

xorg-x11 (6.8.2.dfsg.1-1) unstable; urgency=low

  Changes by David Nusinow:

    - Add missing comma to Build-Depends in debian/control. Thanks to Eugene
      Konev for catching this!

    - Change x-common to x11-common in order to reflect that this package
      provides symlinks named x11

   - Add -f to update-rc.d call in xfree86-common.postinst.in to get rid of
      error during configure stage. Thanks to Norbert Tretowski for providing
      the fix.

   - Disable acceleration on C&T 69000 by default but allow it to be overrided
     by config file. Thanks to Dan Christensen and Nathanael Nerode;
     Closes: #315315

   - Remove svn comments from debian/local xpm pixmaps to unbreak xdm. Thanks
     to Eugene Konev.

   - Disable xprt. Thanks to Eugene Konev!
     - Change x-window-system to depend on xprt-xprintorg (thanks to Drew
       Parsons); Closes: #300974

   - Change debian/po/POTFILES.in to use x11-common templates, not
     xorg-common.templates. Thanks to Eugene Konev

   - Pull the following from Ubuntu Breezy patches to allow gcc4 builds
     - 024d_radeon_fix_gcc4_build.diff (to which I incorporated a one-line fix
       from the 024a_radeon_benh_fixes.diff patch)
     - 991_ubuntu_gcc_flags.diff

    - Package name changes for the C++ ABI transition: (Thanks to Eugene Konev,
      Steve Langasek, and Daniel Stone)
      - xlibmesa-glu renamed to libglu1-xorg; Provides: changed to
        libglu1c2, libglu1c2 added to the Conflicts: and Replaces:
      - libglu1-xorg shlibs changed to libglu1-xorg | libglu1c2
      - xlibmesa-glu-dbg renamed to libglu1-xorg-dbg; xlibmesa-glu-dbg
        added to Conflicts: and Replaces:
      - xlibmesa-glu-dev renamed to libglu1-xorg-dev; depend on
        libglu1-xorg instead of xlibmesa-glu, of course, and add
        xlibmesa-glu-dev to the Conflicts/Replaces/Provides
      - Update x-window-system-core to depend on libglu1-xorg instead of
        xlibmesa-glu
      - Update x-window-system-dev to depend on libglu1-xorg-{dev,dbg}
        instead of xlibmesa-glu-{dev,dbg}
      - Drop the xlibmesa3, xlibmesa3-dbg, and xlibmesa-dev transition
        packages; these existed for the woody->sarge transition, and they
        can't possibly provide a proper transition for anything that
        relies on the C++ ABI, so better to get rid of them altogether
      - Rename all xlibmesa-glu package files accordingly

    - Remove libglu1-xorg-dev's dependency on "libstdc++5-3.3-dev |
      libstdc++-dev": this doesn't actually ensure that the correct C++
      headers are installed, and it's no longer the correct libstdc++
      version anyway.

    - Add patch 915_disable_i915_debugging.diff, to disable non-x86 debug
      statements for this chip. Thanks to Aaron M. Ucko

    - Patch Audit
      - 0000_backport_from_upstream.diff updated
        - Thomas Winischhofer's post-6.8.2 fixes to MiscPassMessage();
          Closes: #285807
      - 000_backport_from_author_xterm.diff ported (Nathanael Nerode)
        - Closes: #297430, #296592, #298551
      - 002_xdm_fixes.diff updated (Eugene Konev)
      - 003b_xfs_fixes.diff ported (Eugene Konev, Nathanael Nerode)
      - 005_rgb.txt_in_etc_X11.diff updated (Nathanael Nerode)
      - 008_fix_xgetpw_macro.diff updated (Eugene Konev)
      - 011_SECURITY_makedepend_safer.diff (Nathanael Nerode)
      - 011a_recognize_glibc_2.3.2_locale_names.diff (Nathanael Nerode)
      - 013a_xkb_symbols_euro_support.diff added (Eugene Konev)
      - 019_iso8859-15_Compose_fix.diff updated (Eugene Konev)
      - 043_ati_r128_update_chip_identification.diff added (Nathanael Nerode)
      - 047_mga_manpage_updates.diff updated
      - 055_lnx_evdev_keyboard.diff updated
      - 067_fix_X11_and_xdm_build_problems.diff ported (Eugene Konev)
      - 089_xkb_fix_symbols_pc_lt.diff got ID tags back
      - 093_xkb_fix_macintosh_problems.diff got macintosh equal key fix ported
      - 099e_xorgconf_manpage_overhaul.diff ported
      - 099h_mesa_tdfx_load_right_glide_library.diff patched to use
          libglide_h3/5 as used in unstable packages.
      - 099q_tdfx_improve_mode_rejection_diagnostics.diff added
      - 099q_xkb_tr_fix_eacute.diff removed
      - 099r_xlsfonts_do_not_spew_usage_on_connection_error.diff added
      - 099s_selinux_support.diff ported
      - 099s_xkb_tr_fix_eacute.diff added
      - 099t_xkb_remove_hidden_attributes.diff ported
      - 099u_mkdirhier_rewrite.diff ported (Eugene Konev, Nathanael Nerode)
      - 099v_fontserver_fix_SEGV.diff ported
      - 099x_xdm_support_logfile_rotation.diff ported
      - 250_m68k_build_scanpci.diff updated
      - 304_arm_Xlib.h_kludge_around_ARM_ABI_brain_damage.diff ported
      - 910_debian_Xserver_RTFF.diff updated
      - 913_debian_remove_code_ref_to_object_code_files.diff ported
        - patch to xc/programs/Xserver/hw/xfree86/drivers/rendition/vboard.c
          re-added to comply with post-sarge SC

 -- David Nusinow <dnusinow@debian.org>  Fri, 24 Jun 2005 10:24:48 -0400

xorg-x11 (6.8.2.dfsg.1-0pre1v1) experimental; urgency=low

  Changes by David Nusinow:

    - Updated packaging to be based off Ubuntu hoary packaging
      - Merge changelog from Ubuntu hoary package to this changelog
      - Change instances of "Ubuntu" to "Debian" in control file
      - Add Daniel Stone to list of Debian package authors in copyright for
        his work on this package. Update branding in general in this file.
      - Update shell-lib.sh to merge changes from current xfree tree
      - Change twm manpage to be set to twm.1x rather than twm.1, as in the
        xfree packaging
      - Re-brand XFree86 to X.Org in README
      - Re-add usr/X11R6/lib/X11/fonts/encodings/large/jisx0208.1983-0.enc.gz
        to xfonts-base.install
      - Merge xfree tree xfree86-common.init in to xorg-common.init
        - Comment out lsb stuff for now, since Debian can't guarantee it.
          Replace logging with echo's like in xfree script.
      - Re-add Branden's copyright to xfs.init
      - Merge changes from xfree tree in to xserver-common.config.in
      - Merge changes from xfree tree to scripts directory:
        - manifest-install-reconcile
        - validate-posix-sh
      - Merge changes from xfree86 tree to local directory:
        - dexconf
        - dexconf.1
        - FAQ.xhtml
          - Fix a freedesktop.org reference to X.Org
        - xterm.faq.html
        - xvfb-run
        - xdm/Xstartup
        - Xsession.d/30xorg-common_xresources
        - xdm.init
        - xdm.logrotate
        - xdm.README.Debian

    - Re-add jisx0208.1983-0.enc.gz to MANIFEST.all's list of font encodings
      until I know more about why it was removed.

    - Re-add the following to MANIFEST.[arch] and xdm.install
      - etc/X11/xdm/Xreset

    - Re-enable various modules for xlibmesa-dri-dbg.install
      - i810 and tdfx for amd64 . Apparently these were supposed to be
        re-enabled according to the changelog
      - i830 and ffb for i386
      - ffb, i810, and i830 for ia64
    - Re-enable various modules for xlibmesa-dri.install
      - i810 for amd64
      - ffb and i830 for i386
      - ffb, i810, and i830 for ia64

    - Handle xlibs-static package split
      - Add libxvmc-dev.install.hurd-i386 file which removes
        usr/X11R6/lib/libI810XvMC.a. Removing
        xlibs-static-dev.install.hurd-386.
      - Add libxxf86vm-dev.install.s390 file which removes manpages. Removing
        xlibs-static-dev.install.s390.
      - Removing xlibs-static-pic-install.[hurd-i386,netbsd-i386,s390] as the
        files which they specifically removed in the past don't appear to be
        shipped any more.

    - Merge and edit control file to refer to XSF

    - Fixes in local
      - Spelling fix in dexconf.1
      - Spelling fix and merge updates in to FAQ.xhtml
      - Merge update to lxterm, uxterm.1, xdm.options.5, XF86Config.7,
        xfs.options.5, Xsession.5, Xsession.options.5, Xwrapper.config.5
      - Re-added Xreset script in local/xdm

    - Branding edit and merges to debian/rules

    - Patch Audit
      - Edited 0000_backport_from_upstream.diff
        - Removed redundant patches that are also in 000_stolen_from_HEAD.diff
      - Edited 000_stolen_from_HEAD.diff
        - Re-diffed Xpm's create.c fix to get it to apply properly
      - Edited 002_xdm_fixes.diff, 003_linux.cf_and_xfree86.cf.diff, and
        068_fix_InstallAppDefFiles_screwage.diff to allow them to apply
        properly with no fuzz

  * Update FAQ to refer to X.Org instead of freedesktop.org where appropriate.
    (Closes: #309811)

  * Change xorg-common to x-common

  * Update lsb-base version requirement to 3.0-1

  Changes by Branden Robinson:

  * Initial release, based upon upstream CVS tag XORG-6_8_2.  See
    debian/copyright for details of material removed due to overlap with
    existing Debian packaging or license terms that fail to satisfy the DFSG.

  * Explain build-dependencies and build-conflicts in debian/control comments.

  * Update build-dependencies relative to xfree86 4.3.0.dfsg.1-12:
    + List upstream build dependencies on commands first, followed by
      upstream build depenencies on library headers, and then Debian packaging
      infrastructure dependencies.
    + Remove no-longer needed build dependencies on libfontconfig1-dev (header
      files not used), libpaperg (superseded by libpaper1, and depended upon
      by tetex-bin nowadays), linux-kernel-headers (depended on by
      build-essential package libc6-dev), bzip2 and dbs (new organization of
      source package will not require these).

  * Backport fixes from upstream CVS trunk:
    + Shut up (tons of) Imake warnings on Debian systems by testing for
      variable being defined before testing its value.  (Presumably the
      fallback definition of NothingOutsideProjectRoot in Imake.tmpl was
      intended to prevent this, but it apparently is not in effect yet
      when linux.cf is parsed.)
    + Fix CAN-2005-0605: scan.c in the Xpm library may allow attackers to
      execute arbitrary code via a negative bitmap_unit value that leads
      to a buffer overflow. (see Debian #298939)

  * Update debian/copyright to correctly document source package name, origin
    of .orig.tar.gz file, and credit David Nusinow as a package author.
    Restore removal of credits to Stephen Early, Mark Eichin, and ISHIKAWA
    Mutsumi as package authors.  Alter Debian "fallback" copyright notice to
    credit copyright from changes in 1996 to Stephen Early, in 1997 to Mark
    Eichin, and for the years since to Branden Robinson.  In the U.S., a
    written instrument is required to transfer copyright, and to the best of
    my knowledge, none of Stephen, Mark, or myself ever signed such an
    instrument.  Remove anti-publicity clause from Debian fallback copyright
    notice as it's not part of the original MIT/X11 license from the 1980s and
    has no force under U.S. copyright law (asserting copyright in something,
    even Free Software, doesn't waive a person's publicity rights anyway).
    Remove duplicate Debian copyright notice for Software in the Public
    Interest, Inc.  Merge change from Debian xfree86 SVN to stop identifying
    the Compugraphic and Adobe fonts from the Xprint server as non-DFSG-free;
    the files have been removed from the upstream archive for another reason,
    namely the existence of the xprint package.

  * Place Ubuntu package changelog entries in changelog.Ubuntu (as they do not
    actually reflect package release history as a Debian user would see it).
    Ship this changelog in /usr/share/doc/xorg-common.

  * Add debian/scripts/missing-keyword-sniffer, which identifies plain text
    files in the source package that are missing Subversion Id keywords or the
    corresponding property.

  * Rework source package to consist of an unpacked source tree, instead of
    shipping a .tar.gz inside the .orig.tar.gz.
    + Add debian/scripts/up-scripts (called automatically by dbs's "setup"
      target), which copies the source tree into build-tree using hardlinks.
    + Update debian/setperms to ensure that up-scripts is executable.
    + Update debian/vars to stop defining SOURCE_DIR variable.
    + Put debian/scripts in PATH and export it from debian/rules, so that dbs
      can find up-scripts.
    + Update target dependencies in debian/rules from "$(patched)" to "setup",
      so that we can be sure up-scripts is run.

  * Make .orig.tar.gz preparation less opaque.
    + Add prune-upstream-tree and make-orig-tar-gz phony targets to
      debian/rules.  (Note that these are not intended for ordinary package
      builds, and have to be manually invoked.)
    + Remove outdated and now-obsolete file debian/scripts/prune-non-free.
    + Add $(SOURCE_NAME) and $(UPSTREAM_VERSION) variables to debian/rules.

  * Update paths to files containg sourceless firmware in debian/copyright.

  * Grab patches from upstream CVS HEAD:
    - Add radeon(4x) manpage updates documenting VGAAccess, ReverseDDC, and
      LVDSProbePLL options.  (Benjamin Herrenschmidt)
      <URL: https://bugs.freedesktop.org/show_bug.cgi?id=2064 >.
    - Add VGAAccess option to r128 driver, based on Benjamin Herrenscmidts's
      radeon patch.  r128 should now work on PowerPCs without "UseFBDev".  To
      use this on PowerPC, make sure you set "UseFBDev" to "false".
      (Alex Deucher)
      <URL: https://bugs.freedesktop.org/show_bug.cgi?id=2089 >.

  * Document DFSG-non-freeness of PolyglotMan ("rman") in debian/copyright.

  * Update patch #058 to give Xcomposite, Xdamage, Xevie, and Xfixes their own
    copies of the config-subst script, instead of hard-coding a within-tree
    path to the copy in the Xcursor library.  (I don't know what the point of
    directing these Imakefiles over to Xcursor's copy was -- there were
    already four identical copies of config-subst in X.Org 6.8.2 anyway, so
    this decision didn't help matters much. :) ) Update the Imakefiles to look
    for config-subst in the current working directory instead of ../Xcursor.
    Convert local includes to system includes in the GLU library and X server
    so that the RENDER protocol headers can actually be found.  Define
    RenderDefines if either BuildRender or HaveRenderLibrary is true, not just
    BuildRender.  Only specify render.h and renderproto.h as targets and
    install renderproto.h as part of the SDK if we're building the extension
    and *don't* have the extension library in the build environment.  Update
    MANIFEST.*.in files to reflect the fact that render.h and renderproto.h
    are no longer installed.

  * Stop removing the debian/local/xlibmesa-drm-source directory in
    debian/rules's clean target, as nothing creates it, and nothing has since
    xfree86 4.3.0-0pre1v3.

  * Add build-dependency on render-dev (>> 1:0.9), since several files
    directly #include render.h and renderproto.h.  Version dependency since
    symbols new to renderext 0.9 are used.  Document dependency in detail in
    debian/control comments.

  * Update patch #908 to stop attempting to install the sourceless microcode
    files associated with the rendition driver, which are not part of the
    source package (see debian/copyright).  Correct
    debian/MANIFEST.{alpha,amd64,hurd-i386,i386,ia64,sparc}.in to reflect the
    absence of these files.  (Other architectures do not build the rendition
    driver.)  Thanks to Jesus Climent for spotting this problem.

 -- David Nusinow <dnusinow@debian.org>  Wed, 22 Jun 2005 11:24:38 -0400
